Subject: Re: Invoices
From: "Mike" <[email-masked]>
To: "Bridges, Josh" <[email-masked]>
Date: Tue, 4 Dec 2007 09:43:00 -0500

Josh,
If you want, you can send over copies and I can forward them to Steve or Joe. 
Thank you,
Mike - LLPS

  ----- Original Message ----- 
  From: Bridges, Josh 
  To: Mike 
  Sent: Tuesday, December 04, 2007 8:51 AM
  Subject: Invoices

  Mike,

  I just wanted to check on a few invoices that we have in our system for you. 

  10/31/07 - Inv. 22442 = $2,387.00

  10/31/07 - Inv. 22443 = $5,260.00

  These are only overdue by a few days but we are planning to ramp up on hours during December and January and I didn't want you to be overwhelmed by open invoices. If you get a second I would appreciate if you could check on the status of these two invoices. 

  Thanks

  Josh